---
- name: Notify apparmor kernel parameters
  debug:
    msg: Please add "apparmor=1 security=apparmor" to your current kernel parameters for apparmor to work

- name: Notify auditd kernel parameter
  debug:
    msg: Please add "audit=1" to your current kernel parameters for in-kernel audit support

- name: Recompile fcron systab
  command:
    cmd: /usr/bin/fcrontab -z -u systab
    removes: /var/spool/fcron/systab.orig

- name: Regenerate initramfs with mkinitfs
  command: '/sbin/mkinitfs -c /etc/mkinitfs/mkinitfs.conf {{ ansible_kernel }}'
  args:
    removes: /sbin/mkinitfs

- name: Create snapshots btrfs subvolumes manually
  debug:
    msg: |
      {% if snapshot_tool == 'snapper' %}
      Please create .snapshots/ directories and corresponding mounted subvolumes under {{ snapper | map(attribute='subvolume') | join(', ') }} paths manually.
      {% elif snapshot_tool == 'btrbk' %}
      Please create corresponding subvolumes:
      {% for volume in btrbk.volumes %}
      {% if volume.snapshot_dir is defined %}
      * {{ volume.snapshot_dir }} inside {{ volume.path }} path.
      {% endif %}
      {% endfor %}
      {% endif %}
